Documentation Index

Fetch the complete documentation index at: https://developer.comm100.com/llms.txt

Use this file to discover all available pages before exploring further.

Agent Assist Synonym

Prev Next

Agent Assist Synonym

Agent Assist Synonym JSON Format

Agent Assist Synonym is represented as simple flat JSON objects with the following keys:

Name Type Description
id guid Id of the synonym.
keyword string Keyword of the synonym.
synonyms string [] Synonymous words or phrases.

Get the list of Agent Assist Synonyms

GET bot/agentAssistSynonyms

  • Parameters:

Name Type in Required Description
keywords string query no Search synonym name by the keyword.
sortBy string query yes Allowed values are "keyword", "Synonyms“.
  • Response:

An array of Agent Assist Synonym

  • Example

Sample Request:

curl https://api11.comm100.io/v4/bot/agentAssistSynonyms \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "agentAssistSynonyms": [
      {
          "id": "1576fc67-e153-4060-8b04-d554d81d6162\"",
          "keyword": "zn",
          "synonyms": [
              "China"
          ]
      }
  ],
  "nextPage": null,
  "previousPage": null,
  "total": 1
} 

Get a single Agent Assist Synonym

GET bot/agentAssistSynonyms/{id}

  • Parameters:

No Parameters

  • Response:

Agent Assist Synonym

  • Example

Sample Request:

curl https://api11.comm100.io/v4/bot/agentAssistSynonyms/1576fc67-e153-4060-8b04-d554d81d6162" \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "id": "1576fc67-e153-4060-8b04-d554d81d6162\"",
  "keyword": "zn",
  "synonyms": [
      "China"
  ]
} 

Create a new Agent Assist Synonym

POST bot/agentAssistSynonyms

  • Parameters:

Name Type in Required Description
keyword string body yes Keyword of the synonym.
synonyms string [] body yes Synonymous words or phrases.
  • Response:

Agent Assist Synonym

  • Example

Sample Request:

curl https://api11.comm100.io/v4/bot/agentAssistSynonyms \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"keyword":"zn","synonyms":["China"]}' 

Response:

HTTP/1.1 201 Created

{
  "id": "1576fc67-e153-4060-8b04-d554d81d6162\"",
  "keyword": "zn",
  "synonyms": [
      "China"
  ]
} 

Update the Agent Assist Synonym

PUT bot/agentAssistSynonyms/{id}

  • Parameters:

Name Type in Required Description
keyword string body yes Keyword of the synonym.
synonyms string [] body yes Synonymous words or phrases.
  • Response:

Agent Assist Synonym

  • Example

Sample Request:

curl https://api11.comm100.io/v4/bot/agentAssistSynonyms/1576fc67-e153-4060-8b04-d554d81d6162" \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"keyword":"zn","synonyms":["China"]}' 

Response:

HTTP/1.1 200 OK

{
  "id": "1576fc67-e153-4060-8b04-d554d81d6162\"",
  "keyword": "zn",
  "synonyms": [
      "China"
  ]
} 

Remove the Agent Assist Synonym

DELETE bot/agentAssistSynonyms/{id}

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/bot/agentAssistSynonyms/1576fc67-e153-4060-8b04-d554d81d6162" \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Copyright © 2026 Comm100 Network Corporation. All Rights Reserved.